<?php 

	$videography_custom_style = '';

	// Logo Size
	$videography_logo_top_padding = get_theme_mod('videography_logo_top_padding');
	$videography_logo_bottom_padding = get_theme_mod('videography_logo_bottom_padding');
	$videography_logo_left_padding = get_theme_mod('videography_logo_left_padding');
	$videography_logo_right_padding = get_theme_mod('videography_logo_right_padding');

	if( $videography_logo_top_padding != '' || $videography_logo_bottom_padding != '' || $videography_logo_left_padding != '' || $videography_logo_right_padding != ''){
		$videography_custom_style .=' .logo {';
			$videography_custom_style .=' padding-top: '.esc_attr($videography_logo_top_padding).'px; padding-bottom: '.esc_attr($videography_logo_bottom_padding).'px; padding-left: '.esc_attr($videography_logo_left_padding).'px; padding-right: '.esc_attr($videography_logo_right_padding).'px;';
		$videography_custom_style .=' }';
	}

	$videography_logo_size = get_theme_mod('videography_logo_size');
	if( $videography_logo_size != '' ) {
		if($videography_logo_size >= 0 && $videography_logo_size <= 100) {
			$calculated_width = $videography_logo_size * 3.5;
			$videography_custom_style .= ' .custom-logo-link img {';
			$videography_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$videography_custom_style .= ' }';
		}
	}

	// service section padding
	$videography_video_section_padding = get_theme_mod('videography_video_section_padding');

	if( $videography_video_section_padding != ''){
		$videography_custom_style .=' #featured-section {';
			$videography_custom_style .=' padding-top: '.esc_attr($videography_video_section_padding).'px; padding-bottom: '.esc_attr($videography_video_section_padding).'px;';
		$videography_custom_style .=' }';
	}

	// Site Title Font Size
	$videography_site_title_font_size = get_theme_mod('videography_site_title_font_size');
	if( $videography_site_title_font_size != ''){
		$videography_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$videography_custom_style .=' font-size: '.esc_attr($videography_site_title_font_size).'px;';
		$videography_custom_style .=' }';
	}

	// Site Tagline Font Size
	$videography_site_tagline_font_size = get_theme_mod('videography_site_tagline_font_size');
	if( $videography_site_tagline_font_size != ''){
		$videography_custom_style .=' .logo p.site-description {';
			$videography_custom_style .=' font-size: '.esc_attr($videography_site_tagline_font_size).'px;';
		$videography_custom_style .=' }';
	}

	//layout width
	$videography_boxfull_width = get_theme_mod('videography_boxfull_width');
	if ($videography_boxfull_width !== '') {
		switch ($videography_boxfull_width) {
			case 'container':
				$videography_custom_style .= ' body, #header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$videography_custom_style .= ' body, #header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
				 }';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$videography_dropdown_anim = get_theme_mod('videography_dropdown_anim');

	if ( $videography_dropdown_anim != '') {
		$videography_custom_style .=' .nav-menu ul ul {';
			$videography_custom_style .=' animation:'.esc_attr($videography_dropdown_anim).' 1s ease;';
		$videography_custom_style .=' }';
	}

	// Header Image
	$header_image_url = videography_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$videography_custom_style .=' #inner-pages-header {';
			$videography_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$videography_custom_style .=' }';
		$videography_custom_style .=' .header-overlay {';
			$videography_custom_style .=' position: absolute; 	width: 100%; height: 100%; 	top: 0; left: 0; background: #000; opacity: 0.3;';
		$videography_custom_style .=' }';
	} else {
		$videography_custom_style .=' #inner-pages-header {';
			$videography_custom_style .=' background: linear-gradient(0deg,#f1f1f1,#f2f2f2 80%) no-repeat; ';
		$videography_custom_style .=' }';
		$videography_custom_style .=' #inner-pages-header h1 {';
			$videography_custom_style .=' color: #000; ';
		$videography_custom_style .=' }';
	}

	$videography_slider_hide_show = get_theme_mod('videography_slider_hide_show',false);
	if( $videography_slider_hide_show == true){
		$videography_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$videography_custom_style .=' display:none;';
		$videography_custom_style .=' }';
	}

	// Footer css
	$videography_copyright_padding = get_theme_mod('videography_copyright_padding');
	if( $videography_copyright_padding != ''){
		$videography_custom_style .=' .site-info {';
			$videography_custom_style .=' padding-top: '.esc_attr($videography_copyright_padding).'px; padding-bottom: '.esc_attr($videography_copyright_padding).'px;';
		$videography_custom_style .=' }';
	}

	$videography_copyright_color = get_theme_mod('videography_copyright_color');
	if ( $videography_copyright_color != '') {
		$videography_custom_style .=' .site-footer .site-info a {';
			$videography_custom_style .=' color:'.esc_attr($videography_copyright_color).';';
		$videography_custom_style .=' }';
	}

	$videography_copyrightbg_color = get_theme_mod('videography_copyrightbg_color');
	if ( $videography_copyrightbg_color != '') {
		$videography_custom_style .=' .copyright {';
			$videography_custom_style .=' background-color:'.esc_attr($videography_copyrightbg_color).';';
		$videography_custom_style .=' }';
	}

	$videography_footer_widget_color = get_theme_mod('videography_footer_widget_color');
	if ( $videography_footer_widget_color != '') {
		$videography_custom_style .=' .site-footer h2.widget-title {';
			$videography_custom_style .=' color:'.esc_attr($videography_footer_widget_color).';';
		$videography_custom_style .=' }';
	}

	$videography_footer_widget_text_color = get_theme_mod('videography_footer_widget_text_color');
	if ( $videography_footer_widget_text_color != '') {
		$videography_custom_style .=' .widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a {';
			$videography_custom_style .=' color:'.esc_attr($videography_footer_widget_text_color).';';
		$videography_custom_style .=' }';
	}

	$videography_footerbg_color = get_theme_mod('videography_footerbg_color');
	if ( $videography_footerbg_color != '') {
		$videography_custom_style .=' #colophon {';
			$videography_custom_style .=' background-color:'.esc_attr($videography_footerbg_color).';';
		$videography_custom_style .=' }';
	}

	//topbar color
	$videography_topbar_color = get_theme_mod('videography_topbar_color');
	if ( $videography_topbar_color != '') {
		$videography_custom_style .=' .top-header a, .top-header p {';
			$videography_custom_style .=' color:'.esc_attr($videography_topbar_color).';';
		$videography_custom_style .=' }';
	}
	$videography_topbarbg_color = get_theme_mod('videography_topbarbg_color');
	if ( $videography_topbarbg_color != '') {
		$videography_custom_style .=' .top-header {';
			$videography_custom_style .=' background-color:'.esc_attr($videography_topbarbg_color).';';
		$videography_custom_style .=' }';
	}

	$videography_studio_btn_text_color = get_theme_mod('videography_studio_btn_text_color');
	$videography_studio_btnbg_text_color = get_theme_mod('videography_studio_btnbg_text_color');
	
	if ( $videography_studio_btn_text_color != '') {
		$videography_custom_style .=' span.studio-btn a {';
			$videography_custom_style .=' color:'.esc_attr($videography_studio_btn_text_color).'; background-color:'.esc_attr($videography_studio_btnbg_text_color).';';
		$videography_custom_style .=' }';
	}

	$videography_quote_btn_text_color = get_theme_mod('videography_quote_btn_text_color');
	$videography_quote_btnbg_text_color = get_theme_mod('videography_quote_btnbg_text_color');
	
	if ( $videography_quote_btn_text_color != '') {
		$videography_custom_style .=' span.quote-btn a {';
			$videography_custom_style .=' color:'.esc_attr($videography_quote_btn_text_color).'; background-color:'.esc_attr($videography_quote_btnbg_text_color).';';
		$videography_custom_style .=' }';
	}

	//slider color
	$videography_slider_font_size = get_theme_mod('videography_slider_font_size');
	if ( $videography_slider_font_size != '') {
		$videography_custom_style .=' #slider .inner_carousel h2 {';
			$videography_custom_style .=' font-size:'.esc_attr($videography_slider_font_size).'px;';
		$videography_custom_style .=' }';
	}

	$videography_slider_text_font_size = get_theme_mod('videography_slider_text_font_size');
	if ( $videography_slider_text_font_size != '') {
		$videography_custom_style .=' #slider .inner_carousel p {';
			$videography_custom_style .=' font-size:'.esc_attr($videography_slider_text_font_size).'px;';
		$videography_custom_style .=' }';
	}

	$videography_slider_opacity = get_theme_mod('videography_slider_opacity');
	if ( $videography_slider_opacity != '') {
		$videography_custom_style .=' #slider img {';
			$videography_custom_style .=' opacity:'.esc_attr($videography_slider_opacity).';';
		$videography_custom_style .=' }';
	}

	$videography_slider_title_color = get_theme_mod('videography_slider_title_color');
	if ( $videography_slider_title_color != '') {
		$videography_custom_style .=' #slider .inner_carousel h2 {';
			$videography_custom_style .=' color:'.esc_attr($videography_slider_title_color).';';
		$videography_custom_style .=' }';
	}

	$videography_slider_text_color = get_theme_mod('videography_slider_text_color');
	if ( $videography_slider_text_color != '') {
		$videography_custom_style .=' #slider .inner_carousel p {';
			$videography_custom_style .=' color:'.esc_attr($videography_slider_text_color).';';
		$videography_custom_style .=' }';
	}

	$videography_slider_btn_text_color = get_theme_mod('videography_slider_btn_text_color');
	$videography_slider_btnbg_text_color = get_theme_mod('videography_slider_btnbg_text_color');
	
	if ( $videography_slider_btn_text_color != '') {
		$videography_custom_style .=' #slider a.read-btn {';
			$videography_custom_style .=' color:'.esc_attr($videography_slider_btn_text_color).'; background-color:'.esc_attr($videography_slider_btnbg_text_color).';';
		$videography_custom_style .=' }';
	}

	//Feature color
	$videography_feature_img_size = get_theme_mod('videography_feature_img_size');

	if( $videography_feature_img_size != ''){
		$videography_custom_style .=' .featured-img img {';
			$videography_custom_style .=' width: '.esc_attr($videography_feature_img_size).'px; height: '.esc_attr($videography_feature_img_size).'px;';
		$videography_custom_style .=' }';
	}

	$videography_feature_heading_color = get_theme_mod('videography_feature_heading_color');
	if ( $videography_feature_heading_color != '') {
		$videography_custom_style .=' .featured-title h2 {';
			$videography_custom_style .=' color:'.esc_attr($videography_feature_heading_color).';';
		$videography_custom_style .=' }';
	}

	$videography_feature_text_color = get_theme_mod('videography_feature_text_color');
	if ( $videography_feature_text_color != '') {
		$videography_custom_style .=' .featured-title p {';
			$videography_custom_style .=' color:'.esc_attr($videography_feature_text_color).';';
		$videography_custom_style .=' }';
	}

	$videography_feature_boxtitle_color = get_theme_mod('videography_feature_boxtitle_color');
	if ( $videography_feature_boxtitle_color != '') {
		$videography_custom_style .=' .featured-box h3 {';
			$videography_custom_style .=' color:'.esc_attr($videography_feature_boxtitle_color).';';
		$videography_custom_style .=' }';
	}

	$videography_feature_boxtext_color = get_theme_mod('videography_feature_boxtext_color');
	if ( $videography_feature_boxtext_color != '') {
		$videography_custom_style .=' .video-category a {';
			$videography_custom_style .=' color:'.esc_attr($videography_feature_boxtext_color).';';
		$videography_custom_style .=' }';
	}

	$videography_feature_boxbg_color = get_theme_mod('videography_feature_boxbg_color');
	if ( $videography_feature_boxbg_color != '') {
		$videography_custom_style .=' .featured-box:hover {';
			$videography_custom_style .=' background-color:'.esc_attr($videography_feature_boxbg_color).';';
		$videography_custom_style .=' }';
	}